<?xml version="1.0" encoding="UTF-8"?>

<project>
  <extend>${basedir}/../project.xml</extend>
  <pomVersion>3</pomVersion>
  <id>maven-html2xdoc-plugin</id>
  <name>Maven Html2XDoc Plug-in</name>
  <currentVersion>1.1-SNAPSHOT</currentVersion>

  <!-- Gump integration -->
  <gumpRepositoryId>jakarta</gumpRepositoryId>
  <description>Creates XDoc documentation from normal HTML documentation.</description>
  <shortDescription/>
  <url>http://maven.apache.org/reference/plugins/html2xdoc/</url>
  <siteDirectory>/www/maven.apache.org/reference/plugins/html2xdoc/</siteDirectory>
  <repository>
    <connection>scm:cvs:pserver:anoncvs@cvs.apache.org:/home/cvspublic:maven/src/plugins-build/html2xdoc/</connection>
    <url>http://cvs.apache.org/viewcvs/maven/src/plugins-build/html2xdoc/</url>
  </repository>
  <developers>
    <developer>
      <name>James Strachan</name>
      <id>jstrachan</id>
      <email>jstrachan@apache.org</email>
      <organization>SpiritSoft, Inc.</organization>
      <roles>
        <role>Java Developer</role>
      </roles>
    </developer>
  </developers>
  <dependencies>
    <dependency>
      <groupId>commons-jelly</groupId>
      <artifactId>commons-jelly-tags-xml</artifactId>
      <version>20030211.142705</version>
      <url>http://jakarta.apache.org/commons/jelly/libs/xml/</url>
      <properties>
        <classloader>root.maven</classloader>
      </properties>
    </dependency>
    <dependency>
      <groupId>commons-jelly</groupId>
      <artifactId>commons-jelly-tags-html</artifactId>
      <version>20030317.100924</version>
      <url>http://jakarta.apache.org/commons/jelly/tags/html/</url>
      <properties>
        <classloader>root.maven</classloader>
      </properties>
    </dependency>
    <dependency>
      <id>nekohtml</id>
      <version>0.7.7</version>
      <properties>
        <classloader>root.maven</classloader>
      </properties>
    </dependency>
    <!-- core dependencies which i'd have thought Maven introduced -->

    <dependency>
      <id>commons-logging</id>
      <version>1.0.3</version>
      <properties>
        <classloader>root.maven</classloader>
      </properties>
    </dependency>
    <dependency>
      <id>dom4j</id>
      <version>1.4</version>
      <url>http://www.dom4j.org/</url>
    </dependency>
    <dependency>
      <id>xml-apis</id>
      <version>1.0.b2</version>
      <url>http://xml.apache.org/xerces2-j/</url>
    </dependency>
    <dependency>
      <id>xerces</id>
      <version>2.4.0</version>
      <url>http://xml.apache.org/xerces2-j/</url>
    </dependency>
  </dependencies>
  <build>
    <sourceDirectory>src/main</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>
    <unitTest>
      <includes>
        <include>**/Test*.java</include>
      </includes>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>*.xml</include>
            <include>*.html</include>
          </includes>
        </resource>
      </resources>
    </unitTest>
  </build>
</project>
